#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMouseEvent>
#include "dialog.h"
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    qApp->installEventFilter( this );
}

bool MainWindow::eventFilter( QObject *obj, QEvent *evt )
{
  if( evt->type() == QEvent::MouseMove )
  {
    QMouseEvent *m = static_cast< QMouseEvent * >( evt );
    QWidget *w = QApplication::widgetAt( m->globalPos() );

    if( w )
      ui->labelHint->setText( w->whatsThis() );
  }

  return QMainWindow::eventFilter( obj, evt );
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::on_pushButton_clicked()
{
  Dialog d( this );
  d.exec();
}
