#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "customspin.h"
#include <QDebug>

MainWindow::MainWindow(QWidget *parent)
  : QMainWindow( parent ),
    ui( new Ui::MainWindow )
{
  ui->setupUi( this );

  spin = new CustomSpin( this );
  connect( spin, SIGNAL( valueChanged( int ) ), this, SLOT( spinValueChanged( int ) ) );
  spin->setGeometry( 10, 10, 300, 50 );
  spin->setValue( 12 );
}

void MainWindow::spinValueChanged( int i )
{
  qDebug() << i;
}

MainWindow::~MainWindow()
{
  delete ui;
}

void MainWindow::changeEvent( QEvent *e )
{
  QMainWindow::changeEvent( e );
  switch( e->type() )
  {
  case QEvent::LanguageChange:
    ui->retranslateUi( this );
    break;
  default:
    break;
  }
}
