#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QTextCodec>
#include <QStylePainter>
#include <QStyleOptionButton>

MainWindow::MainWindow(QWidget *parent)
  : QMainWindow( parent ),
    ui( new Ui::MainWindow )
{
  ui->setupUi( this );
  QTextCodec::setCodecForTr( QTextCodec::codecForName( "KOI8-R" ) );
}

MainWindow::~MainWindow()
{
  delete ui;
}

void MainWindow::changeEvent( QEvent *e )
{
  QMainWindow::changeEvent( e );
  switch( e->type() )
  {
  case QEvent::LanguageChange:
    ui->retranslateUi( this );
    break;
  default:
    break;
  }
}

void MainWindow::paintEvent( QPaintEvent * )
{
  QStylePainter p( this );
  QStyleOptionButton b;
  b.initFrom( this );
  b.state = QStyle::State_Raised | QStyle::State_Enabled;
  b.rect = QRect( 10, 10, 200, 60 );
  b.icon = QIcon( ":/main/voice.png" );
  b.iconSize = QSize( 32, 32 );
  b.text = tr( "  x_x" );

//  QFont f = p.font();
//  f.setPointSize( 32 );
//  p.setFont( f );
//  b.fontMetrics = QFontMetrics( f );

  p.drawControl( QStyle::CE_PushButton, b );
}
