#include "customspin.h"
#include "ui_customspin.h"

CustomSpin::CustomSpin( QWidget *parent )
  : QWidget( parent ),
    ui( new Ui::CustomSpin ),
    _min( 0 ),
    _max( 100 ),
    _value( 1 )
{
  ui->setupUi( this );
  setLayout( ui->horizontalLayout );
}

void CustomSpin::setMin( int Min )
{
  if( Min != min() && Min < max() )
  {
    _min = Min;
    setValue( _value );
  }
}

void CustomSpin::setMax( int Max )
{
  if( Max != max() && min() < Max )
  {
    _max = Max;
    setValue( _value );
  }
}

void CustomSpin::setValue( int Value )
{
  if( Value < min() )
    Value = min();
  if( Value > max() )
    Value = max();
  if( Value != _value )
  {
    _value = Value;
    ui->label->setNum( _value );
    emit valueChanged( _value );
  }
}

CustomSpin::~CustomSpin()
{
  delete ui;
}

void CustomSpin::changeEvent( QEvent *e )
{
  QWidget::changeEvent( e );
  switch( e->type() )
  {
  case QEvent::LanguageChange:
    ui->retranslateUi( this );
    break;
  default:
    break;
  }
}

void CustomSpin::on_buttonMinus_clicked()
{
  setValue( value() - 1 );
}

void CustomSpin::on_buttonPlus_clicked()
{
  setValue( value() + 1 );
}
