#ifndef CUSTOMSPIN_H
#define CUSTOMSPIN_H

#include <QWidget>

namespace Ui
{
    class CustomSpin;
}

class CustomSpin : public QWidget
{
    Q_OBJECT
    Q_PROPERTY( int min READ min WRITE setMin )
    Q_PROPERTY( int max READ max WRITE setMax )
    Q_PROPERTY( int value READ value WRITE setValue )

  public:
    CustomSpin( QWidget *parent = 0 );
    ~CustomSpin();

    int min() const { return _min; }
    int max() const { return _max; }
    int value() const { return _value; }

    void setMin( int Min );
    void setMax( int Max );

  public slots:
    void setValue( int Value );

  signals:
    void valueChanged( int value );

  protected:
    void changeEvent( QEvent *e );

  private:
    Ui::CustomSpin *ui;

    int _min, _max, _value;

  private slots:
    void on_buttonPlus_clicked();
    void on_buttonMinus_clicked();
};

#endif // CUSTOMSPIN_H
