#include "customspinplugin.h"
#include "customspin.h"
#include <QtPlugin>

Q_EXPORT_PLUGIN2( widget-plugin, CustomSpinPlugin )

CustomSpinPlugin::CustomSpinPlugin( QObject *parent )
    : QObject( parent )
{
}

bool CustomSpinPlugin::isContainer() const
{
  return false;
}

bool CustomSpinPlugin::isInitialized() const
{
  return true;
}

void CustomSpinPlugin::initialize( QDesignerFormEditorInterface * )
{
}

QWidget *CustomSpinPlugin::createWidget( QWidget *parent )
{
  return new CustomSpin( parent );
}

QIcon CustomSpinPlugin::icon() const
{
  return QIcon(":/main/customspin.png");
}

QString CustomSpinPlugin::group() const
{
  return "Display Widgets";
}

QString CustomSpinPlugin::includeFile() const
{
  return "customspin.h";
}

QString CustomSpinPlugin::name() const
{
  return "CustomSpin";
}

QString CustomSpinPlugin::toolTip() const
{
  return "Custom Spin Box";
}

QString CustomSpinPlugin::whatsThis() const
{
  return "Custom Spin Box";
}

QString CustomSpinPlugin::domXml() const
{
  return "<ui language=\"c++\">\n"
      " <widget class=\"CustomSpin\" name=\"customSpin\">\n"
      "  <property name=\"geometry\">\n"
      "   <rect>\n"
      "    <x>0</x>\n"
      "    <y>0</y>\n"
      "    <width>100</width>\n"
      "    <height>100</height>\n"
      "   </rect>\n"
      "  </property>\n"
      " </widget>\n"
      "</ui>\n";
}
